Subject: bug#35592: Use display-buffer-in-direction for completion-like windows

From: Juri Linkov <[email-masked]>
Date: Mon, 20 May 2019 23:36:33 +0300

>> Also I noticed your comments about rewriting display-buffer-at-bottom.
>> Do you mean just to replace its body with the call to
>> display-buffer-in-direction, or obsolete it altogether and
>> replace all its uses with display-buffer-in-direction?
>
> The former (it's a three liner).  But maybe some work remains wrt
> action arguments like 'window-min-height', 'window-height' and
> friends.  I doubt that you have already exhausted all possibilities.

Why three-liner?  I see one-liners in your comments.  I tried to
replace the whole display-buffer-below-selected with your one-liner
(display-buffer-in-direction buffer (cons '(direction . below) alist))
and also the whole display-buffer-at-bottom with your one-liner
(display-buffer-in-direction buffer (cons '(direction . bottom) alist))
and everything works fine, I see no problems.